package com.cf.imes.module.executor.service.manage.voice;


import org.springframework.http.ResponseEntity;

import java.io.IOException;
import java.sql.SQLException;

public interface VoiceService {


    // 生成音频文件

    String voiceAnnouncements(String data) throws IOException, SQLException;


    // 把生成的音频文件进行压缩
    void zipFiles(String sourceFile, String gzipFile) throws IOException;

    void deleteFiles(String sourceFile);

    ResponseEntity<byte[]> getVoice(String sourceFile);

}
